# $Revision: 1.6 $, $Date: 2012/02/11 20:50:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Parse
%define	pnam	CPAN-Meta
Summary:	Parse::CPAN::Meta - parse META.yml and other similar CPAN metadata files
Summary(pl.UTF-8):	Parse::CPAN::Meta - analiza META.yml i innych podobnych plików z metadanymi CPAN
Name:		perl-Parse-CPAN-Meta
Version:	1.4402
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Parse/DAGOLDEN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	136571ea3aa3b21046346f7d1606a0a6
URL:		http://search.cpan.org/dist/Parse-CPAN-Meta/
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-CPAN-Meta-YAML >= 0.002
BuildRequires:	perl-JSON-PP >= 2.27103
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::CPAN::Meta is a parser for META.yml files, based on the parser
half of YAML::Tiny.

It supports a basic subset of the full YAML specification, enough to
implement parsing of typical META.yml files, and other similarly
simple YAML files.

If you need something with more power, move up to a full YAML parser
such as YAML, YAML::Syck or YAML::LibYAML.

%description -l pl.UTF-8
Parse::CPAN::Meta jest analizatorem plików META.yml opartym na części
analizującej modułu YAML::Tiny.

Obsługuje podstawowy podzbiór pełnej specyfikacji YAML, wystarczający
do analizy typowych plików META.yml i innych podobnie prostych plików
YAML.

Jeżeli potrzebne jest coś o większych możliwościach, należy użyć
pełnego analizatora YAML-a - np. z modułu YAML, YAML::Syck lub
YAML::LibYAML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Parse/CPAN
%{perl_vendorlib}/Parse/CPAN/Meta.pm
%{_mandir}/man3/Parse::CPAN::Meta.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Parse-CPAN-Meta.spec,v $
Revision 1.6  2012/02/11 20:50:22  zbyniu
- up to 1.4402

Revision 1.5  2011/03/12 06:34:52  qboosh
- real pl
- dropped some details from en desc
- more BRs

Revision 1.4  2011/03/10 11:21:15  lisu
- rel 2

Revision 1.3  2011/03/10 11:01:56  lisu
- up to 1.4401
- BR: perl-JSON-PP >= 2.27103
- more verbose files

Revision 1.2  2009/09/09 08:34:05  amateja
- updated to 1.40
- added polish summary and description
- added missing %dir in %files section
- removed README from %doc

Revision 1.1  2009/06/16 09:09:32  amateja
- initial
